﻿function PoisonReminderFu:MainHand(bag, slot)
	local f, t
	if self.framesm then self.framesm.anchor:Hide() end
	f, _, _ = GameFontNormal:GetFont()

	self.framesm = {}
	self.framesm.anchor = CreateFrame("Frame", "PoisonReminderFu_MainHand", UIParent)
	self.framesm.anchor.owner = self
	self.framesm.anchor:Hide()

	self.framesm.anchor:SetWidth(175)
	self.framesm.anchor:SetHeight(75)
	self.framesm.anchor:SetBackdrop({
		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background", tile = true, tileSize = 16,
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", edgeSize = 16,
		insets = {left = 4, right = 4, top = 4, bottom = 4},
		})
	self.framesm.anchor:SetBackdropBorderColor(.5, .5, .5)
	self.framesm.anchor:SetBackdropColor(0,0,0)
	self.framesm.anchor:ClearAllPoints()
	self.framesm.anchor:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	self.framesm.anchor:EnableMouse(true)
	self.framesm.anchor:RegisterForDrag("LeftButton")
	self.framesm.anchor:SetMovable(true)
	self.framesm.anchor:SetScript("OnDragStart", function() this:StartMoving() end)
	self.framesm.anchor:SetScript("OnDragStop", function() this:StopMovingOrSizing() this.owner:SavePositionm() end)

	self.framesm.cfade = self.framesm.anchor:CreateTexture(nil, "BORDER")
	self.framesm.cfade:SetWidth(169)
	self.framesm.cfade:SetHeight(25)
	self.framesm.cfade:SetTexture("Interface\\ChatFrame\\ChatFrameBackground")
	self.framesm.cfade:SetPoint("TOP", self.framesm.anchor, "TOP", 0, -4)
	self.framesm.cfade:SetBlendMode("ADD")
	self.framesm.cfade:SetGradientAlpha("VERTICAL", .1, .1, .1, 0, .25, .25, .25, 1)
	self.framesm.anchor.Fade = self.framesm.fade

	self.framesm.cheader = self.framesm.anchor:CreateFontString(nil,"OVERLAY")
	self.framesm.cheader:SetFont(f, 14)
	self.framesm.cheader:SetWidth(150)
	self.framesm.cheader:SetText("Main Hand Poison Expired!")
	self.framesm.cheader:SetTextColor(1, .8, 0)
	self.framesm.cheader:ClearAllPoints()
	self.framesm.cheader:SetPoint("TOP", self.framesm.anchor, "TOP", 0, -10)

	self.framesm.leftbutton = CreateFrame("Button", nil, self.framesm.anchor, "SecureActionButtonTemplate")
	self.framesm.leftbutton:RegisterForClicks("AnyUp")
	self.framesm.leftbutton:SetAttribute("type", "item")
	self.framesm.leftbutton:SetAttribute("target-slot", 16)
--	self.framesm.leftbutton:SetAttribute("item", 8928)
	self.framesm.leftbutton:SetAttribute("bag", bag)
	self.framesm.leftbutton:SetAttribute("slot", slot)
	self.framesm.leftbutton.owner = self
	self.framesm.leftbutton:SetWidth(70)
	self.framesm.leftbutton:SetHeight(25)
	self.framesm.leftbutton:SetPoint("RIGHT", self.framesm.anchor, "CENTER", 0, -15)
	self.framesm.leftbutton:SetScript("PostClick", function() self:ScheduleLeaveCombatAction(function() self.framesm.anchor:Hide() end) end )

	t = self.framesm.leftbutton:CreateTexture()
	t:SetWidth(70)
	t:SetHeight(32)
	t:SetPoint("CENTER", self.framesm.leftbutton, "CENTER")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Up")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	self.framesm.leftbutton:SetNormalTexture(t)

	t = self.framesm.leftbutton:CreateTexture(nil, "BACKGROUND")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Down")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.framesm.leftbutton)
	self.framesm.leftbutton:SetPushedTexture(t)

	t = self.framesm.leftbutton:CreateTexture()
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Highlight")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.framesm.leftbutton)
	t:SetBlendMode("ADD")
	self.framesm.leftbutton:SetHighlightTexture(t)
	self.framesm.leftbuttontext = self.framesm.leftbutton:CreateFontString(nil,"OVERLAY")
	self.framesm.leftbuttontext:SetFontObject(GameFontHighlight)
	self.framesm.leftbuttontext:SetText("Re-Apply")
	self.framesm.leftbuttontext:SetAllPoints(self.framesm.leftbutton)

	self.framesm.rightbutton = CreateFrame("Button", nil, self.framesm.anchor)
	self.framesm.rightbutton.owner = self
	self.framesm.rightbutton:SetWidth(40)
	self.framesm.rightbutton:SetHeight(25)
	self.framesm.rightbutton:SetPoint("LEFT", self.framesm.anchor, "CENTER", 20, -15)
	self.framesm.rightbutton:SetScript( "OnClick", function() self:ScheduleLeaveCombatAction(function() self.framesm.anchor:Hide() end) end )

	t = self.framesm.rightbutton:CreateTexture()
	t:SetWidth(50)
	t:SetHeight(32)
	t:SetPoint("CENTER", self.framesm.rightbutton, "CENTER")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Up")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	self.framesm.rightbutton:SetNormalTexture(t)

	t = self.framesm.rightbutton:CreateTexture(nil, "BACKGROUND")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Down")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.framesm.rightbutton)
	self.framesm.rightbutton:SetPushedTexture(t)

	t = self.framesm.rightbutton:CreateTexture()
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Highlight")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.framesm.rightbutton)
	t:SetBlendMode("ADD")
	self.framesm.rightbutton:SetHighlightTexture(t)
	self.framesm.rightbuttontext = self.framesm.rightbutton:CreateFontString(nil,"OVERLAY")
	self.framesm.rightbuttontext:SetFontObject(GameFontHighlight)
	self.framesm.rightbuttontext:SetText("Close")
	self.framesm.rightbuttontext:SetAllPoints(self.framesm.rightbutton)

	self:RestorePositionm()
	self.framesm.anchor:Show()
end

function PoisonReminderFu:SavePositionm()
	local f = self.framesm.anchor
	local s = f:GetEffectiveScale()

	self.db.profile.posxm = f:GetLeft() * s
	self.db.profile.posym = f:GetTop() * s
end

function PoisonReminderFu:RestorePositionm()
	local x = self.db.profile.posxm
	local y = self.db.profile.posym

	if not x or not y then return end

	local f = self.framesm.anchor
	local s = f:GetEffectiveScale()

	f:ClearAllPoints()
	f:SetPoint("TOPLEFT", UIParent, "BOTTOMLEFT", x / s, y / s)
end

function PoisonReminderFu:OffHand(bag, slot)
	local f, t

	f, _, _ = GameFontNormal:GetFont()
	if self.frameso then self.frameso.anchor:Hide() end

	self.frameso = {}
	self.frameso.anchor = CreateFrame("Frame", "PoisonReminderFu_MainHand", UIParent)
	self.frameso.anchor.owner = self
	self.frameso.anchor:Hide()

	self.frameso.anchor:SetWidth(175)
	self.frameso.anchor:SetHeight(75)
	self.frameso.anchor:SetBackdrop({
		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background", tile = true, tileSize = 16,
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", edgeSize = 16,
		insets = {left = 4, right = 4, top = 4, bottom = 4},
		})
	self.frameso.anchor:SetBackdropBorderColor(.5, .5, .5)
	self.frameso.anchor:SetBackdropColor(0,0,0)
	self.frameso.anchor:ClearAllPoints()
	self.frameso.anchor:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	self.frameso.anchor:EnableMouse(true)
	self.frameso.anchor:RegisterForDrag("LeftButton")
	self.frameso.anchor:SetMovable(true)
	self.frameso.anchor:SetScript("OnDragStart", function() this:StartMoving() end)
	self.frameso.anchor:SetScript("OnDragStop", function() this:StopMovingOrSizing() this.owner:SavePositiono() end)

	self.frameso.cfade = self.frameso.anchor:CreateTexture(nil, "BORDER")
	self.frameso.cfade:SetWidth(169)
	self.frameso.cfade:SetHeight(25)
	self.frameso.cfade:SetTexture("Interface\\ChatFrame\\ChatFrameBackground")
	self.frameso.cfade:SetPoint("TOP", self.frameso.anchor, "TOP", 0, -4)
	self.frameso.cfade:SetBlendMode("ADD")
	self.frameso.cfade:SetGradientAlpha("VERTICAL", .1, .1, .1, 0, .25, .25, .25, 1)
	self.frameso.anchor.Fade = self.frameso.fade

	self.frameso.cheader = self.frameso.anchor:CreateFontString(nil,"OVERLAY")
	self.frameso.cheader:SetFont(f, 14)
	self.frameso.cheader:SetWidth(150)
	self.frameso.cheader:SetText("Off Hand Poison Expired!")
	self.frameso.cheader:SetTextColor(1, .8, 0)
	self.frameso.cheader:ClearAllPoints()
	self.frameso.cheader:SetPoint("TOP", self.frameso.anchor, "TOP", 0, -10)

	self.frameso.leftbutton = CreateFrame("Button", nil, self.frameso.anchor, "SecureActionButtonTemplate")
	self.frameso.leftbutton:RegisterForClicks("AnyUp")
	self.frameso.leftbutton:SetAttribute("type", "item")
	self.frameso.leftbutton:SetAttribute("target-slot", 17)
--	self.frameso.leftbutton:SetAttribute("item", 8928)
	self.frameso.leftbutton:SetAttribute("bag", bag)
	self.frameso.leftbutton:SetAttribute("slot", slot)
	self.frameso.leftbutton.owner = self
	self.frameso.leftbutton:SetWidth(70)
	self.frameso.leftbutton:SetHeight(25)
	self.frameso.leftbutton:SetPoint("RIGHT", self.frameso.anchor, "CENTER", 0, -15)
	self.frameso.leftbutton:SetScript("PostClick", function() self:ScheduleLeaveCombatAction(function() self.frameso.anchor:Hide() end) end )

	t = self.frameso.leftbutton:CreateTexture()
	t:SetWidth(70)
	t:SetHeight(32)
	t:SetPoint("CENTER", self.frameso.leftbutton, "CENTER")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Up")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	self.frameso.leftbutton:SetNormalTexture(t)

	t = self.frameso.leftbutton:CreateTexture(nil, "BACKGROUND")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Down")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.frameso.leftbutton)
	self.frameso.leftbutton:SetPushedTexture(t)

	t = self.frameso.leftbutton:CreateTexture()
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Highlight")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.frameso.leftbutton)
	t:SetBlendMode("ADD")
	self.frameso.leftbutton:SetHighlightTexture(t)
	self.frameso.leftbuttontext = self.frameso.leftbutton:CreateFontString(nil,"OVERLAY")
	self.frameso.leftbuttontext:SetFontObject(GameFontHighlight)
	self.frameso.leftbuttontext:SetText("Re-Apply")
	self.frameso.leftbuttontext:SetAllPoints(self.frameso.leftbutton)

	self.frameso.rightbutton = CreateFrame("Button", nil, self.frameso.anchor)
	self.frameso.rightbutton.owner = self
	self.frameso.rightbutton:SetWidth(40)
	self.frameso.rightbutton:SetHeight(25)
	self.frameso.rightbutton:SetPoint("LEFT", self.frameso.anchor, "CENTER", 20, -15)
	self.frameso.rightbutton:SetScript( "OnClick", function() self:ScheduleLeaveCombatAction(function() self.frameso.anchor:Hide() end) end )

	t = self.frameso.rightbutton:CreateTexture()
	t:SetWidth(50)
	t:SetHeight(32)
	t:SetPoint("CENTER", self.frameso.rightbutton, "CENTER")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Up")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	self.frameso.rightbutton:SetNormalTexture(t)

	t = self.frameso.rightbutton:CreateTexture(nil, "BACKGROUND")
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Down")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.frameso.rightbutton)
	self.frameso.rightbutton:SetPushedTexture(t)

	t = self.frameso.rightbutton:CreateTexture()
	t:SetTexture("Interface\\Buttons\\UI-Panel-Button-Highlight")
	t:SetTexCoord(0, 0.625, 0, 0.6875)
	t:SetAllPoints(self.frameso.rightbutton)
	t:SetBlendMode("ADD")
	self.frameso.rightbutton:SetHighlightTexture(t)
	self.frameso.rightbuttontext = self.frameso.rightbutton:CreateFontString(nil,"OVERLAY")
	self.frameso.rightbuttontext:SetFontObject(GameFontHighlight)
	self.frameso.rightbuttontext:SetText("Close")
	self.frameso.rightbuttontext:SetAllPoints(self.frameso.rightbutton)

	self:RestorePositiono()
	self.frameso.anchor:Show()
end

function PoisonReminderFu:SavePositiono()
	local f = self.frameso.anchor
	local s = f:GetEffectiveScale()

	self.db.profile.posxo = f:GetLeft() * s
	self.db.profile.posyo = f:GetTop() * s
end

function PoisonReminderFu:RestorePositiono()
	local x = self.db.profile.posxo
	local y = self.db.profile.posyo

	if not x or not y then return end

	local f = self.frameso.anchor
	local s = f:GetEffectiveScale()

	f:ClearAllPoints()
	f:SetPoint("TOPLEFT", UIParent, "BOTTOMLEFT", x / s, y / s)
end
